# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.legacy_users_api import LegacyUsersApi


class TestLegacyUsersApi(unittest.IsolatedAsyncioTestCase):
    """LegacyUsersApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = LegacyUsersApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_create_and_invite_user_api_v1_legacy_users_invite_post(self) -> None:
        """Test case for create_and_invite_user_api_v1_legacy_users_invite_post

        Create And Invite User
        """
        pass

    async def test_create_or_update_self_user_entity_api_v1_legacy_users_me_put(self) -> None:
        """Test case for create_or_update_self_user_entity_api_v1_legacy_users_me_put

        Create Or Update Self User Entity
        """
        pass

    async def test_create_or_update_view_config_api_v1_legacy_users_me_view_configs_put(self) -> None:
        """Test case for create_or_update_view_config_api_v1_legacy_users_me_view_configs_put

        Create Or Update View Config
        """
        pass

    async def test_delete_user_api_v1_legacy_users_id_delete(self) -> None:
        """Test case for delete_user_api_v1_legacy_users_id_delete

        Delete User
        """
        pass

    async def test_get_long_lived_token_api_v1_legacy_users_token_get(self) -> None:
        """Test case for get_long_lived_token_api_v1_legacy_users_token_get

        Get Long Lived Token
        """
        pass

    async def test_get_self_user_api_v1_legacy_users_me_get(self) -> None:
        """Test case for get_self_user_api_v1_legacy_users_me_get

        Get Self User
        """
        pass

    async def test_get_service_account_token_api_v1_legacy_users_service_accounts_type_get(self) -> None:
        """Test case for get_service_account_token_api_v1_legacy_users_service_accounts_type_get

        Get Service Account Token
        """
        pass

    async def test_get_users_api_v1_legacy_users_get(self) -> None:
        """Test case for get_users_api_v1_legacy_users_get

        Get Users
        """
        pass

    async def test_get_view_config_api_v1_legacy_users_me_view_configs_get(self) -> None:
        """Test case for get_view_config_api_v1_legacy_users_me_view_configs_get

        Get View Config
        """
        pass

    async def test_update_user_api_v1_legacy_users_id_put(self) -> None:
        """Test case for update_user_api_v1_legacy_users_id_put

        Update User
        """
        pass


if __name__ == '__main__':
    unittest.main()
